org.optaplanner.core.impl.score.stream.uni

## Class UniConstraintStreamHelper<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>
  - - org.optaplanner.core.impl.score.stream.uni.UniConstraintStreamHelper<A,B>

-     public final class UniConstraintStreamHelper<A,B>
      extends AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniConstraintStreamHelper(UniConstraintStream<A> stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BiConstraintStream<A,B>` | `doJoin(Class<B> otherClass)`
    `protected BiConstraintStream<A,B>` | `doJoin(Class<B> otherClass, BiJoiner<A,B>... joiners)`
    `protected BiConstraintStream<A,B>` | `doJoin(Class<B> otherClass, BiJoiner<A,B> joiner)`
    `BiPredicate<A,B>` | `extractPredicate(BiJoiner<A,B> joiner)`
    `protected BiConstraintStream<A,B>` | `filter(BiConstraintStream<A,B> stream, BiPredicate<A,B> predicate)`
    `protected boolean` | `isFilteringJoiner(BiJoiner<A,B> joiner)`
    `protected BiJoiner<A,B>` | `mergeJoiners(BiJoiner<A,B>... joiners)`
    `protected BiPredicate<A,B>` | `mergePredicates(BiPredicate<A,B> predicate1, BiPredicate<A,B> predicate2)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStreamHelper

      `join`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniConstraintStreamHelper

          public UniConstraintStreamHelper(UniConstraintStream<A> stream)

  - ### Method Detail

    - #### doJoin

          protected BiConstraintStream<A,B> doJoin(Class<B> otherClass)

      Specified by:
        `doJoin` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### doJoin

          protected BiConstraintStream<A,B> doJoin(Class<B> otherClass,
                                                   BiJoiner<A,B> joiner)

      Specified by:
        `doJoin` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### doJoin

          protected BiConstraintStream<A,B> doJoin(Class<B> otherClass,
                                                   BiJoiner<A,B>... joiners)

      Specified by:
        `doJoin` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### filter

          protected BiConstraintStream<A,B> filter(BiConstraintStream<A,B> stream,
                                                   BiPredicate<A,B> predicate)

      Specified by:
        `filter` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### mergeJoiners

          protected BiJoiner<A,B> mergeJoiners(BiJoiner<A,B>... joiners)

      Specified by:
        `mergeJoiners` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### isFilteringJoiner

          protected boolean isFilteringJoiner(BiJoiner<A,B> joiner)

      Specified by:
        `isFilteringJoiner` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### extractPredicate

          public BiPredicate<A,B> extractPredicate(BiJoiner<A,B> joiner)

      Specified by:
        `extractPredicate` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

    - #### mergePredicates

          protected BiPredicate<A,B> mergePredicates(BiPredicate<A,B> predicate1,
                                                     BiPredicate<A,B> predicate2)

      Specified by:
        `mergePredicates` in class `AbstractConstraintStreamHelper<B,BiConstraintStream<A,B>,BiJoiner<A,B>,BiPredicate<A,B>>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.